void settings(){
  TFTscreen.background(0, 0, 0);
  delay(500); //evita rebotes señal del boton
  bool back = false;
  int selec = 0;
  int antselec = 0;


  while(back == false){  
    //titulo menu
    TFTscreen.setTextSize(1);    
    TFTscreen.stroke(255,255,255);
    TFTscreen.text("Settings", 15, 5);
          
    TFTscreen.stroke(255,0,255);
    TFTscreen.line(1,18,TFTscreen.width()-1,18);
  
    //opciones menu
    TFTscreen.stroke(255,255,255);
    TFTscreen.text("> Brightness", 6, 22);
    TFTscreen.text("> ", 6, 34); // numero de dedos
    TFTscreen.text("> ", 6, 46); // sensor de referencia
    TFTscreen.text("> ", 6, 58);
    TFTscreen.text("> ", 6, 70);
    TFTscreen.text("> ", 6, 82);
    TFTscreen.text("> ", 6, 94);
    TFTscreen.text("> ", 6, 106);
    TFTscreen.text("> Back", 6, 118);
 

    selec = read_Enco(); 
    if(selec < 0 && selec >= -9)selec=9+selec;
    if(selec < -9)selec=-selec+(selec%9)*2;
    if(selec > 8)selec=selec%9; 
        
    if(selec != antselec){
      TFTscreen.stroke(0,0,0);
      TFTscreen.rect(1,20+antselec*12,TFTscreen.width()-1,12);
      antselec = selec;
    }
    TFTscreen.stroke(0,255,0);
    TFTscreen.rect(1,20+selec*12,TFTscreen.width()-1,12);
  
    if(btn_fl()==1)
    {
      switch(selec)
      {
        case 0: 
          break;
        case 1: 
          break;  
        case 2: 
          break;
        case 3:
          break;
        case 4:
          break;
        case 5:
          break;
        case 6:
          break;
        case 7:
          break;
        case 8: 
          back = true;
          break;
      }
    }
  }  
  TFTscreen.background(0, 0, 0);
}

//-----------------------------------------------------------------------

void scrsaver(){
  static int xPos = 80;
  static int yPos = 64;
  int redRandom = 255;
  int greenRandom = 255;
  int blueRandom = 255;

  //control tiempo suspension
  bool time_limit=false;
  unsigned long int tiempo = 0;
  tiempo = millis();
  
  // direction and speed
  static int xDir = 2;
  static int yDir = 2;
 
  // variables to keep track of the location
  static int xPrev = xPos;
  static int yPrev = yPos;
  TFTscreen.background(0, 0, 0);
  TFTscreen.setTextSize(2);
  
  int valor = myEnc.read();
  while(myEnc.read() == valor && time_limit==false){  
    // update the location of the dot
    xPos = xPos + xDir;
    yPos = yPos + yDir;
  
    // check if the current location is different than the previous
    if(xPos != xPrev || yPos != yPrev){
  
      TFTscreen.stroke(0,0,0); // set the stroke color to black
      TFTscreen.text("EII UVA", xPrev, yPrev);
    }
  
    // draw in the current location
    TFTscreen.stroke(redRandom, greenRandom, blueRandom);
    TFTscreen.text("EII UVA", xPos, yPos);
    
    // if the x or x position is at the screen edges, reverse direction
    if(xPos >= 160-79 || xPos <= 0){
      xDir = xDir*-1;
      //color of the dot
      redRandom = random(0, 255);
      greenRandom = random (0, 255);
      blueRandom = random (0, 255);
    }
    if(yPos >= 128-14 || yPos <= 0){
      yDir = yDir*-1;
      //color of the dot
      redRandom = random(0, 255);
      greenRandom = random (0, 255);
      blueRandom = random (0, 255);
    }
  
    // update the previous location
  
    xPrev=xPos;
  
    yPrev=yPos;
  
    
    delay(33);// a 33ms delay means the screen updates 30 times a second
    
    if( millis()-tiempo > 60000) time_limit=true;//control modo suspension
  }
  
  TFTscreen.background(0, 0, 0); 
  if(time_limit) scrsleep();//activacion suspension
}


//--------------------------------------------------------

void scrsleep(){
  //apagar pantalla
  digitalWrite(TFTpwr,LOW);
  analogWrite(TFTled,0); //brillo variable por pwm (3.3v max)
  
  int valor = myEnc.read();
  while(myEnc.read() == valor){//pantalla apagada hasta que se mueva el encoder
    delay(100); //delay para no sobrecargar el procesador
  }

  //despertar la pantalla
  digitalWrite(TFTpwr,HIGH);
  analogWrite(TFTled,brillo); //brillo variable por pwm (3.3v max)
  TFTscreen.background(0, 0, 0); 

}
